#!/bin/bash
# Synopsis:
#            qsub -vPROG=myprog qsub_1x4.sh 
#      or    qsub qsub_1x4.sh
# Result:
#            myprog is started
#
#PBS -q debug
#                v---- choose total number of cores
#PBS -l mppwidth=4
#PBS -l mppnppn=4
#PBS -l walltime=00:10:00
#PBS -j eo
#PBS -V

if [ -n "$PROG" ]
then
  echo "PROG is" $PROG
else
  set PROG=myprog
fi
echo "Executable="$PROG

cd $PBS_O_WORKDIR
#        v-------- choose total number of cores
#        v    v--- must be reduced to -n value if -n value is less than 4
aprun -n 4 -N 4 ./$PROG
