#!/bin/bash
# Synopsis:
#            qsub -vPROG=myprog qsub_1x4.sh 
#      or    qsub qsub_1x4.sh
# Result:
#            myprog.c is compiled and started
#
#PBS -q debug
#                v---- choose total number of cores
#PBS -l mppwidth=4
#PBS -l mppnppn=4
#PBS -l walltime=00:10:00
#PBS -j eo
#PBS -V

if [ -n "$PROG" ]
then
  echo "PROG is" $PROG
else
  set PROG=myprog
fi
echo "Source="$PROG.c "Executable="$PROG

cd $PBS_O_WORKDIR
upcc -O -pthreads=4 -o $PROG $PROG.c
#         v---- choose total number of cores
upcrun -n 4 -cpus-per-node 4 ./$PROG
